> ## Documentation Index
> Fetch the complete documentation index at: https://yuno-3979e326-fix-create-subscription-card-usage.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause Subscription

Calling this endpoint will change the subscription `status` to PAUSED. This status can be changed to ACTIVE or CANCELED.


## OpenAPI

````yaml /openapi/subscriptions/pause-subscription.json POST /subscriptions/{subscription_id}/pause
openapi: 3.1.0
info:
  title: subscription
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /subscriptions/{subscription_id}/pause:
    post:
      summary: Pause Subscription
      operationId: pause-subscription
      parameters:
        - name: subscription_id
          in: path
          description: The unique identifier of a subscription.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                PAUSE SUBSCRIPTION:
                  value:
                    id: 7304911d-5df9-429e-8488-ad41abea1a4c
                    name: sub_001
                    description: streaming service
                    account_id: 2404911d-5df9-429e-8488-ad41abea1a4b
                    merchant_reference: 001_marzo_23
                    status: PAUSED
                    subscription_plan_id: 1904911d-5df9-429e-8488-ad41abea1a4d
                    amount:
                      currency: USD
                      value: 12100
                    frequency:
                      type: MONTH
                      value: 1
                    billing_cycles:
                      total: 10
                      current: 2
                      next_at: '2023-02-16T20:00:00.786342Z'
                    customer_payer:
                      id: 3t04911d-5df9-429e-8488-ad41abea1a2c
                    payment_method:
                      - type: CARD
                        token: 9104911d-5df9-429e-8488-ad41abea1a4b
                        vaulted_token: 6104911d-5df9-429e-8488-ad41abea1a4b
                        card:
                          verify: false
                          card_data:
                            number: '4507990000000010'
                            expiration_month: 10
                            expiration_year: 2025
                            security_code: 123
                            holder_name: JOHN DOE
                    availability:
                      start_at: '2024-01-16T00:00:00.786342Z'
                      finish_at: '2024-05-26T20:00:00.786342Z'
                    metadata:
                      key: sub_ext_id
                      value: AA001
                    payments:
                      - 5104911d-5df9-229e-8468-bd41abea1a4s
                    created_at: '2023-12-16T20:46:54.786342Z'
                    updated_at: '2023-12-16T21:00:54.786342Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 7304911d-5df9-429e-8488-ad41abea1a4c
                  name:
                    type: string
                    example: sub_001
                  description:
                    type: string
                    example: streaming service
                  account_id:
                    type: string
                    example: 2404911d-5df9-429e-8488-ad41abea1a4b
                  merchant_reference:
                    type: string
                    example: 001_marzo_23
                  status:
                    type: string
                    example: PAUSED
                  subscription_plan_id:
                    type: string
                    example: 1904911d-5df9-429e-8488-ad41abea1a4d
                  amount:
                    type: object
                    properties:
                      currency:
                        type: string
                        example: USD
                      value:
                        type: integer
                        example: 12100
                        default: 0
                  frequency:
                    type: object
                    properties:
                      type:
                        type: string
                        example: MONTH
                      value:
                        type: integer
                        example: 1
                        default: 0
                  billing_cycles:
                    type: object
                    properties:
                      total:
                        type: integer
                        example: 10
                        default: 0
                      current:
                        type: integer
                        example: 2
                        default: 0
                      next_at:
                        type: string
                        example: '2023-02-16T20:00:00.786342Z'
                  customer_payer:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 3t04911d-5df9-429e-8488-ad41abea1a2c
                  payment_method:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          example: CARD
                        token:
                          type: string
                          example: 9104911d-5df9-429e-8488-ad41abea1a4b
                        vaulted_token:
                          type: string
                          example: 6104911d-5df9-429e-8488-ad41abea1a4b
                        card:
                          type: object
                          properties:
                            verify:
                              type: boolean
                              example: false
                              default: true
                            card_data:
                              type: object
                              properties:
                                number:
                                  type: string
                                  example: '4507990000000010'
                                expiration_month:
                                  type: integer
                                  example: 10
                                  default: 0
                                expiration_year:
                                  type: integer
                                  example: 2025
                                  default: 0
                                security_code:
                                  type: integer
                                  example: 123
                                  default: 0
                                holder_name:
                                  type: string
                                  example: JOHN DOE
                  availability:
                    type: object
                    properties:
                      start_at:
                        type: string
                        example: '2024-01-16T00:00:00.786342Z'
                      finish_at:
                        type: string
                        example: '2024-05-26T20:00:00.786342Z'
                  metadata:
                    type: object
                    properties:
                      key:
                        type: string
                        example: sub_ext_id
                      value:
                        type: string
                        example: AA001
                  payments:
                    type: array
                    items:
                      type: string
                      example: 5104911d-5df9-229e-8468-bd41abea1a4s
                  created_at:
                    type: string
                    example: '2023-12-16T20:46:54.786342Z'
                  updated_at:
                    type: string
                    example: '2023-12-16T21:00:54.786342Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                     Refer to the HTTP Response Codes section for more details: 'https://docs.y.uno/reference/response-codes'
                    }
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````